/**
 * Adds custom functionality to the customizer.
 *
 * @package droidpress
 * @since 3.0.0
 */
( function( $ ) {

	/**
	 * Wait for the document to load.
	 */
	$( document ).ready( function() {
		/**
		 * Add a label after each range control.
		 */
		jQuery.each( jQuery( 'input[type=range]' ), function( index, value ) {
			var control = jQuery( this ),
				valSpan = '<span style="display:inline-block;background-color:darkgray;color:white;padding:5px 10px;text-align:center;min-width:50px;margin-left: 10px;" class="range-val">' + control.val() + '</span>',
				label   = jQuery( 'label[for=' + control.attr( 'id' ) + ']' );

			control.after( valSpan );

			control.on( 'input', function() {
				control.next( 'span.range-val' ).text( control.val() );
			} );
		} );

	} );

} )( jQuery );
