<?php
/**
 * Footer template
 *
 * @package droidpress
 * @since 3.0.0
 */

if ( is_active_sidebar( 'footer' ) ) :
	?>
	<section id="footer-widget-area" class="footer widget-area">
		<div class="container">
			<div class="row">
				<?php dynamic_sidebar( 'footer' ); ?>
			</div>
		</div>
	</section>
	<?php
endif;
?>

<footer id="colophon" class="site-footer" role="contentinfo">

		<?php if ( has_nav_menu( 'footer' ) ) : ?>
			<nav id="footer-site-navigation" class="main-navigation" role="navigation">
				<div class="container clear">
					<?php get_template_part( 'template-parts/footer/navigation' ); ?>
				</div>
			</nav>
		<?php endif; ?>

		<div class="container">
		<span class="copyright visible">
			<?php echo wp_kses_data( get_theme_mod( 'droidpress_copyright', droidpress_get_copyright_text() ) ); ?>
		</span>

		<span class="generator <?php droidpress_the_meta_visible_class( 'droidpress_hide_generator_credits' ); ?>">
			<?php esc_html_e( 'Powered by ', 'droidpress' ); ?>
			<a href="https://wordpress.org"><?php esc_html_e( 'WordPress', 'droidpress' ); ?></a>
		</span>

		<span class="designer <?php droidpress_the_meta_visible_class( 'droidpress_hide_theme_credits' ); ?>">
			<?php esc_html_e( 'Theme DroidPress by ', 'droidpress' ); ?>
			<a href="https://cyberchimps.com"><?php esc_html_e( 'CyberChimps', 'droidpress' ); ?></a>
		</span>
	</div>
</footer>

<?php wp_footer(); ?>
</body>
</html>
