<?php
/**
 * DroidPress gutenberg functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-gutenberg-functions/
 *
 * @package droidpress
 */

/**
 * [customizer_css description].
 *
 * @return string.
 */
function droidpress_customizer_css() {

	$fonts            = droidpress_get_selected_fonts();
	$body_font        = $fonts['body'];
	$heading_font     = $fonts['heading'];
	$accent_color     = get_theme_mod( 'droidpress_colors_accent', '#dd971d' );
	$alt_accent_color = get_theme_mod( 'droidpress_colors_alt_accent', '#222b34' );
	$custom_css       = ".editor-writing-flow,
   .editor-styles-wrapper{
				font-family: '{$body_font}', serif;
   }
		.wp-block-freeform.block-library-rich-text__tinymce h1,
		.wp-block-freeform.block-library-rich-text__tinymce h2,
		.wp-block-freeform.block-library-rich-text__tinymce h3,
		.wp-block-freeform.block-library-rich-text__tinymce h4,
		.wp-block-freeform.block-library-rich-text__tinymce h5,
		.wp-block-freeform.block-library-rich-text__tinymce h6,
		.wp-block-heading h1.editor-rich-text__tinymce,
		.wp-block-heading h2.editor-rich-text__tinymce,
		.wp-block-heading h3.editor-rich-text__tinymce,
		.wp-block-heading h4.editor-rich-text__tinymce,
		.wp-block-heading h5.editor-rich-text__tinymce,
		.wp-block-heading h6.editor-rich-text__tinymce {
		  font-family: '{$heading_font}', serif;
		}
		.wp-block-freeform.block-library-rich-text__tinymce a,
		.editor-writing-flow a{
 		 color: {$accent_color};
 	 }
 	 .wp-block-freeform.block-library-rich-text__tinymce a:hover,
	 .wp-block-freeform.block-library-rich-text__tinymce a:focus,
 	 .editor-writing-flow a:hover,
 	 .editor-writing-flow a:focus{
 		 color: {$alt_accent_color};
 	 }
	    ";
	return $custom_css;
}

/**
 *  Enqueue block styles  in editor
 */
function droidpress_block_styles() {
	wp_enqueue_style( 'droidpress-fonts', droidpress_get_fonts_url(), array(), '3.0.0' );

	wp_enqueue_style( 'droidpress-gutenberg-blocks', get_stylesheet_directory_uri() . '/gutenberg-blocks.css', array(), '3.0.0' );

	wp_add_inline_style( 'droidpress-gutenberg-blocks', droidpress_customizer_css() );

}
add_action( 'enqueue_block_editor_assets', 'droidpress_block_styles' );
