<?php
/**
 * Index template
 *
 * @package droidpress
 * @since 3.0.0
 */

get_header();
?>

<div id="content" class="site-content">
	<div class="container">
		<?php
		if ( is_home() && ! is_front_page() ) :

			?>
			<header class="page-header">
				<h1 class="page-title"><?php single_post_title(); ?></h1>
			</header>
			<?php

		endif;
		?>

		<main id="primary" class="content-area" role="main">

			<?php get_template_part( 'template-parts/sections/hero' ); ?>

			<div class="row">
			<?php

			if ( have_posts() ) :

				while ( have_posts() ) :

					the_post();

					if ( ! is_sticky() ) {
						get_template_part( 'template-parts/content/entry', get_post_format() );
					}

				endwhile;

				get_template_part( 'template-parts/content/pagination' );

			else :

				get_template_part( 'template-parts/content/entry', 'none' );

			endif;

			?>
			</div>
		</main>
	</div>
</div><!-- #content -->

<?php
get_footer();
