<?php
/**
 * Business header template part
 *
 * @package droidpress
 * @since 3.0.0
 */

?>
<header id="masthead" class="site-header site-header-business" role="banner">
	<div class="container">
		<div class="row align-items-center">
			<div class="brand col-xs-12 col-md-4 col-lg-4">
				<?php get_template_part( 'template-parts/header/brand' ); ?>
			</div>
			<div class="col-xs-12 col-md-4 col-lg-4">
				<?php dynamic_sidebar( 'header-ad' ); ?>
			</div>

			<?php

			$business_info = get_theme_mod( 'droidpress_business_info', '' );
			if ( '' !== $business_info ) :

				?>
				<section class="business-info col-xs-12 col-md-4 col-lg-4">
					<?php echo wp_kses_post( wpautop( $business_info ) ); ?>
				</section>
				<?php

			endif;

			?>
		</div>
	</div>

	<?php if ( has_nav_menu( 'primary' ) ) : ?>
		<nav id="site-navigation" class="main-navigation" role="navigation">
			<div class="container clear">
				<?php get_template_part( 'template-parts/header/navigation' ); ?>
			</div>
		</nav>
	<?php endif; ?>
</header><!-- #masthead -->
