<?php
/**
 * Hero area template part
 *
 * @package droidpress
 * @since 3.0.0
 */

?>
<section class="home-section hero">
	<div class="container">
		<div class="flexslider">
			<ul class="slides">
				<?php

				$droidpress_query = array();

				if ( file_exists( get_template_directory() . '/inc/functions-premium.php' ) && ! ( get_theme_mod( 'droidpress_home_show_sticky_posts' ) ) ) {

					$tags = droidpress_get_posts_tags();

					$selected_tag = get_theme_mod( 'droidpress_home_hero_area_tag', key( $tags ) );
					$no_of_posts  = get_theme_mod( 'droidpress_home_hero_area_num_of_post', 6 );



					$droidpress_query = new WP_Query(
						array(
							'tag__in'             => $selected_tag,
							'posts_per_page'      => $no_of_posts,
							'ignore_sticky_posts' => false,
							'post_status'         => 'publish',

						)
					);

				}

				$droidpress_query_for_sticky = new WP_Query(
					array(
						'post__in'            => get_option( 'sticky_posts' ),
						'ignore_sticky_posts' => 1,
						'post_status'         => 'publish',
					)
				);

				$droidpress_query = $droidpress_query ? $droidpress_query : $droidpress_query_for_sticky;

				if ( $droidpress_query->have_posts() ) :

					while ( $droidpress_query->have_posts() ) :
						$droidpress_query->the_post();
						?>
						<li>
							<?php get_template_part( 'template-parts/content/entry', 'hero' ); ?>
						</li>
						<?php
					endwhile;
					wp_reset_postdata();
				endif;
				?>
			</ul>
		</div>
	</div>
</section>
